

<?php 
ini_set('max_execution_time', 0); //300 seconds = 5 minutes 
date_default_timezone_set("Asia/Bangkok");
// echo $_SESSION['company_id'];
include('../include/connectDB.php'); 
include('../include/connectDB_Bill.php'); 
include('INSERT_LOG.php');

$currentdate = date('Y-m-d');

$yearY = date("Y"); 
$yearM = date("m"); 
$yearD = date("d");
$htime = date("H:i:sa"); 
$current_time = $yearD.'.'.$yearM.'.'.($yearY+543);
$s_trime = $yearY.$yearM.$yearD;
$DateStart=date($s_trime);
$strtime = strtotime($DateStart);
$caltime=strtotime("-2 Month",$strtime);
$ResultDate=date("Y-m-d", $caltime);
$yearY = substr(date("$ResultDate"), 0,-6); 
$yearM = substr(date("$ResultDate"), 5,-3); 
$yearD = substr(date("$ResultDate"), -2); 
$s_trime = $yearD.'.'.$yearM.'.'.($yearY+543);  
// $s_trime = "20.05.2564"; 
?>


<?php

$sql_del = "DELETE from SITEA_BILLOWNER";
    $stm_del = sqlsrv_prepare ($ConnYS, $sql_del);
        if (!$stm_del) {
            throw new Exception("sql_del  BILLOWNER#". $sql_del); 
        }
        if (!sqlsrv_execute($stm_del)) {
            throw new Exception("sql_del นำเข้า BILLOWNER ไม่สำเหร็จ#" . $sql_del);
        }

sqlsrv_commit($ConnYS);

$sql1 = " SELECT
            RUNNO
            ,BILL_OWNERCODE
            ,BILL_OWNERNAME
            ,BR_CODE
            ,REF_OWNERCODE
            from  SITEA_BILLOWNER "; 
        // where doc_date between '20.05.2563' and '20.06.2564' 
    // echo $sql1;
    $rst1 = ibase_query($connFB, $sql1);
    // die("Stop");
    $x = 0;
    while($arr1         = ibase_fetch_object($rst1)) {

        $data[] = array( 

                    "RUNNO"                         => $arr1->RUNNO
                    ,"BILL_OWNERCODE"               => $arr1->BILL_OWNERCODE
                    ,"BILL_OWNERNAME"               => $arr1->BILL_OWNERNAME
                    ,"BR_CODE"                      => $arr1->BR_CODE
                    ,"REF_OWNERCODE"                => $arr1->REF_OWNERCODE

                );
            $x++;

    }

    echo insert_sqlServer($ConnYS,$data,$current_time,$htime,$connLog);

    function  insert_sqlServer($ConnYS,$data,$current_time,$htime,$connLog){

        sqlsrv_begin_transaction($ConnYS);
        try {

            for($i=0;$i<sizeof($data);$i++){

                $RUNNO                      = $data[$i]["RUNNO"];
                $BILL_OWNERCODE             = $data[$i]["BILL_OWNERCODE"];
                $BILL_OWNERNAME             = $data[$i]["BILL_OWNERNAME"];
                $BR_CODE                    = $data[$i]["BR_CODE"];
                $REF_OWNERCODE              = $data[$i]["REF_OWNERCODE"];
               
                $sql_brname = "INSERT into  SITEA_BILLOWNER (RUNNO ,BILL_OWNERCODE ,BILL_OWNERNAME ,BR_CODE ,REF_OWNERCODE ) values ('".$RUNNO."', '".$BILL_OWNERCODE."', '".$BILL_OWNERNAME."', '".$BR_CODE."', '".$REF_OWNERCODE."') "; 
                $stm_plan = sqlsrv_prepare ($ConnYS, $sql_brname);
                if (!$stm_plan) {
                    throw new Exception("sql_brname  plan#". $sql_brname); 
                }
                if (!sqlsrv_execute($stm_plan)) {
                    throw new Exception("sql_brname นำเข้า plan ไม่สำเหร็จ#" . $sql_brname);
                }
            }

            sqlsrv_commit($ConnYS);
            // sqlsrv_rollback($ConnYS);
            $result = array("STATUS" => "1", "RESULT" => 'Seuccess :'.$i);
            write_text("SITEA_BILLOWNER",$current_time,$htime);
            return json_encode($result,JSON_UNESCAPED_UNICODE);
        } catch (Exception $ex) {
            $result = "";
            sqlsrv_rollback($ConnYS);
            sqlsrv_close($ConnYS);
            $result = array("STATUS" => "0", "RESULT" => explode('#', $ex->getMessage())); 
            write_text($ex->getMessage(),$current_time,$htime);
            return json_encode($result,JSON_UNESCAPED_UNICODE);
            $TABLE = "SITEA_BILLOWNER";
            INSERT_SYNLOG($connLog,"ไม่บันทึกดาต้าเบส",$TABLE,"FAIL");
        }
        sqlsrv_close($ConnYS); 
    }


// echo "Success".$x;
// echo "16";

// write_text("SITEA_BILLOWNER",$current_time,$htime);

function write_text($SITEA_BILLOWNER,$current_time,$htime){
    $t_string = "$SITEA_BILLOWNER".'  '."$current_time".' '."$htime";
    $strFileName = "LogSynDB.txt";
    $objFopen = fopen($strFileName, 'a');
    $strText1 = "$t_string\r\n";
    fwrite($objFopen, $strText1);
}

                
 ?>
	







